#include "types.r"
#include "systypes.r"

#define the_datestr "December 1, 1991"
#define the_majorver 0x1
#define the_minorver 0x0
#define the_stage release
#define the_build 0x1
#define the_verstr "1.0.1"

type 'BTFT' {
		pstring;
};

resource 'BTFT' (0, preload) {
	"BitFont version " the_verstr "  " the_datestr
};

resource 'vers' (1, preload) {
	the_majorver,
	the_minorver,
	the_stage,
	the_build,
	verUs,
	the_verstr,
	the_verstr " " the_datestr
};

resource 'FREF' (12336) {
	'APPL',
	0,
	""
};

resource 'BNDL' (12336) {
	'BTFT',
	0,
	{	/* array TypeArray: 2 elements */
		/* [1] */
		'ICN#',
		{	/* array IDArray: 1 element */
			/* [1] */
			0, 12336
		},
		/* [2] */
		'FREF',
		{	/* array IDArray: 1 element */
			/* [1] */
			0, 12336
		}
	}
};

resource 'FREF' (12336) {
	'APPL',
	0,
	""
};

resource 'ICN#' (12336) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 0000 0000 0000 0007 E000 0007 E000"
		$"0007 E000 0007 E000 001E 7800 001E 7800"
		$"001E 7800 001E 7800 0078 1E00 0078 1E00"
		$"0078 1E00 0078 1E00 01E0 0780 01E0 0780"
		$"01FF FF80 01FF FF80 07FF FFE0 07FF FFE0"
		$"0780 01E0 0780 01E0 1E00 0078 1E00 0078"
		$"1E00 0078 1E00 0078 7800 001E 7800 001E"
		$"7800 001E 7800 001E 0000 0000 0000 0000",
		/* [2] */
		$"0000 0000 000F F000 000F F000 000F F000"
		$"000F F000 000F F000 003F FC00 003F FC00"
		$"003F FC00 003F FC00 00FF FF00 00FF FF00"
		$"00FF FF00 00FF FF00 03FF FFC0 03FF FFC0"
		$"03FF FFC0 03FF FFC0 0FFF FFF0 0FFF FFF0"
		$"0FFF FFF0 0FFF FFF0 3FFF FFFC 3FFF FFFC"
		$"3FFF FFFC 3FFF FFFC FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF 0000 0000"
	}
};

resource 'MENU' (256, preload) {
	256,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	apple,
	{	/* array: 2 elements */
		/* [1] */
		"About BitFont...", noIcon, "", "", plain,
		/* [2] */
		"-", noIcon, "", "", plain
	}
};

resource 'MENU' (257, preload) {
	257,
	textMenuProc,
	allEnabled,
	enabled,
	"File",
	{	/* array: 6 elements */
		/* [1] */
		"Open Resource File...", noIcon, "", "", plain,
		/* [2] */
		"Show Font Info...", noIcon, "", "", plain,
		/* [3] */
		"Image Font...", noIcon, "", "", plain,
		/* [4] */
		"Create Data File...", noIcon, "", "", plain,
		/* [5] */
		"Create Bitmap Font...", noIcon, "", "", plain,
		/* [6] */
		"Quit", noIcon, "Q", "", plain
	}
};

resource 'MENU' (258, preload) {
	258,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	"Edit",
	{	/* array: 6 elements */
		/* [1] */
		"Undo", noIcon, "Z", "", plain,
		/* [2] */
		"-", noIcon, "", "", plain,
		/* [3] */
		"Cut", noIcon, "X", "", plain,
		/* [4] */
		"Copy", noIcon, "C", "", plain,
		/* [5] */
		"Paste", noIcon, "V", "", plain,
		/* [6] */
		"Clear", noIcon, "", "", plain
	}
};

resource 'MENU' (259, preload) {
	259,
	textMenuProc,
	allEnabled,
	enabled,
	"Font",
	{	/* array: 0 elements */
	}
};

resource 'MENU' (260, preload) {
	260,
	textMenuProc,
	allEnabled,
	enabled,
	"Size",
	{	/* array: 0 elements */
	}
};

resource 'MENU' (261, preload) {
	261,
	textMenuProc,
	allEnabled,
	enabled,
	"Style",
	{	/* array: 8 elements */
		/* [1] */
		"Plain", noIcon, "", "", plain,
		/* [2] */
		"Bold", noIcon, "", "", bold,
		/* [3] */
		"Italic", noIcon, "", "", italic,
		/* [4] */
		"Underline", noIcon, "", "", underline,
		/* [5] */
		"Outline", noIcon, "", "", outline,
		/* [6] */
		"Shadow", noIcon, "", "", shadow,
		/* [7] */
		"Condense", noIcon, "", "", condense,
		/* [8] */
		"Extend", noIcon, "", "", extend
	}
};

resource 'ALRT' (256, preload) {
	{88, 76, 214, 436},
	256,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound3,
		/* [2] */
		OK, visible, sound3,
		/* [3] */
		OK, visible, sound3,
		/* [4] */
		OK, visible, sound3
	}
};

resource 'DITL' (256, preload) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{82, 140, 114, 220},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{8, 72, 74, 332},
		StaticText {
			disabled,
			"^0"
		}
	}
};

resource 'DLOG' (257, preload) {
	{46, 87, 316, 425},
	dBoxProc,
	invisible,
	noGoAway,
	0x0,
	257,
	""
};

resource 'DITL' (257, preload) {
	{	/* array DITLarray: 5 elements */
		/* [1] */
		{222, 132, 252, 206},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{12, 10, 30, 326},
		StaticText {
			disabled,
			"^0"
		},
		/* [3] */
		{40, 10, 94, 326},
		StaticText {
			disabled,
			"Use BitFont to create a bitmapped font from an outline "
			"font, or from any font which can be displayed."
		},
		/* [4] */
		{104, 10, 140, 326},
		StaticText {
			disabled,
			"BitFont is in the public domain and may be freely distributed."
		},
		/* [5] */
		{150, 10, 204, 326},
		StaticText {
			disabled,
			"Author: Peter DiCamillo, Brown University CIS\n"
			"E-mail: Peter_DiCamillo@brown.edu\n"
			"Phone: (401) 863-7582"
		}
	}
};

resource 'DLOG' (258, "Font Size", preload) {
	{134, 147, 208, 365},
	dBoxProc,
	invisible,
	noGoAway,
	0x0,
	258,
	"Font Size"
};

resource 'DITL' (258, "Font Size", preload) {
	{	/* array DITLarray: 5 elements */
		/* [1] */
		{45, 139, 65, 199},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{45, 54, 65, 114},
		Button {
			enabled,
			"Cancel"
		},
		/* [3] */
		{14, 16, 30, 122},
		StaticText {
			disabled,
			"Font Size:"
		},
		/* [4] */
		{14, 127, 30, 197},
		EditText {
			enabled,
			""
		}
	}
};

resource 'DLOG' (259, preload) {
	{30, 48, 332, 463},
	dBoxProc,
	invisible,
	noGoAway,
	0x0,
	259,
	""
};

resource 'DITL' (259, preload) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{261, 170, 291, 244},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{5, 5, 249, 410},
		UserItem {
			disabled
		}
	}
};

resource 'ALRT' (260, preload) {
	{88, 76, 214, 436},
	260,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	}
};

resource 'DITL' (260, preload) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{82, 140, 114, 220},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{8, 72, 74, 332},
		StaticText {
			disabled,
			"^0"
		}
	}
};
